Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Updates an existing misc item in the system and returns it as stored.


PUT
/api/v1/{tenantId}/simulator/misc-items

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
object
miscItem
object
id
string
nullable
simulatorPosition
Array<number>
nullable >= 6 items <= 6 items
isTransformLocked
boolean
nullable
modelAlias
required
string
name
string
nullable
modelAlias
string
Allowed values: airCompressor bottle human miniTable pc placeholderBox

OK

object
miscItem
object
id
string
nullable
simulatorPosition
Array<number>
nullable >= 6 items <= 6 items
isTransformLocked
boolean
nullable
modelAlias
required
string
name
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Not Found

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable